Download an agent manifest
Server:
https://{kibana_url}
- GET /api/fleet/kubernetes/download
- GET /s/{space_id}/api/fleet/kubernetes/download
Refer to Spaces for more information.
Download the Kubernetes manifest for deploying Elastic Agent.
[Required authorization] Route required privileges: fleet-agent-policies-read OR fleet-setup.
Query Parameters
-
downloadboolean If true, returns the manifest as a downloadable file
-
fleetServerstring Fleet Server host URL to include in the manifest
-
enrolTokenstring Enrollment token to include in the manifest
Responses
Successful response — returns the Kubernetes manifest as a YAML file download
Response Type: string
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber
Not Found
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber